When you have a VMware infrastructure that is running a vCenter, Altaro VM Backup will communicate directly with vCenter, which then in-turn communicates with the ESXi hosts.

With that said, vCenter 6.5 or newer, requires communication with a VDDK that does not support communication to ESXi hosts running ESXi 6.0 and older.

This means that if you have a vCenter 6.5 or newer, your hosts must also be running ESXi 6.5 or newer.